| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Slots | Protected Member Functions | List of all members
Digikam::ImportFilterComboBox Class Reference
Inheritance diagram for Digikam::ImportFilterComboBox:

## Signals
void | signalFilterChanged (Filter *)

## Public Member Functions
| ImportFilterComboBox (QWidget *const parent)
Filter * | currentFilter () const
void | saveSettings ()
void | updateFilter ()

## Static Public Member Functions
static void | defaultFilters (FilterList *const filters)

## Static Public Attributes
static const QString | defaultIgnoreExtensions
static const QString | defaultIgnoreNames

## Protected Slots
void | indexChanged (int index)

## Protected Member Functions
void | fillCombo ()